<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE hibernate-configuration PUBLIC "-//Hibernate/Hibernate Configuration DTD 3.0//EN" "http://hibernate.sourceforge.net/hibernate-configuration-3.0.dtd">
<hibernate-configuration>
  <session-factory>
    <property name="hibernate.connection.driver_class">com.mysql.jdbc.Driver</property>
    <property name="hibernate.connection.url">jdbc:mysql://localhost:3306/ventas2?zeroDateTimeBehavior=convertToNull</property>
    <property name="hibernate.connection.username">root</property>
    <property name="hibernate.connection.password"/>
    <property name="connection.pool_size">10</property>
    <property name="hibernate.show_sql">true</property>
    <property name="hibernate.current_session_context_class">managed</property>
    <property name="hibernate.query.factory_class">org.hibernate.hql.internal.classic.ClassicQueryTranslatorFactory</property>
    <property name="hibernate.dialect">org.hibernate.dialect.MySQLDialect</property>
    
        <!--Con este mapeo le indicamos a hibernate donde se encuentran nuestras entidades
        para ser procesadas-->
        <mapping class="entidades.Categoria"/>
        <mapping class="entidades.Producto"/>
        <mapping class="entidades.ProductoVenta"/>
        <mapping class="entidades.Venta"/>
  </session-factory>
</hibernate-configuration>
